Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 645082 - app-text/pandoc-2.7.3 version bump
Summary: app-text/pandoc-2.7.3 version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 9 votes (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
: 661016 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-01-20 06:41 UTC by Luke-Jr
Modified: 2020-01-06 21:39 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2018-01-20 06:41:32 UTC
app-text/pandoc-2.1.1 has been released:

http://johnmacfarlane.net/pandoc/releases.html#TOC

(I'm aware this specific version has only been out 2 days, but the last pandoc bump was nearly a year ago)
Comment 1 Tom Gillespie 2018-06-22 21:17:48 UTC
It looks like upstream has a bug in their dependencies.
Dependency yaml >=0.8.8.2 && <0.9: using yaml-0.8.10.1
https://github.com/jgm/pandoc/blob/master/pandoc.cabal#L377

However when trying to compile with dev-haskell/yaml-0.8.10.1 the following error occurs

[ 43 of 131] Compiling Text.Pandoc.Translations ( src/Text/Pandoc/Translations.hs, dist/build/Text/Pandoc/Translations.o )

src/Text/Pandoc/Translations.hs:114:28: error:
    Variable not in scope:
      prettyPrintParseException :: ParseException -> String


Upgrading to dev-haskell/yaml-0.8.30 solves the issue. I don't know when yaml added prettyPrintParseException but it seems that it was after 0.8.10.1
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2018-07-12 17:15:00 UTC
*** Bug 661016 has been marked as a duplicate of this bug. ***
Comment 3 Jouni Kosonen 2018-07-13 00:11:55 UTC
(In reply to Tom Gillespie from comment #1)
> It looks like upstream has a bug in their dependencies.
> Dependency yaml >=0.8.8.2 && <0.9: using yaml-0.8.10.1
> https://github.com/jgm/pandoc/blob/master/pandoc.cabal#L377
> 
> However when trying to compile with dev-haskell/yaml-0.8.10.1 the following
> error occurs
> 
> [ 43 of 131] Compiling Text.Pandoc.Translations (
> src/Text/Pandoc/Translations.hs, dist/build/Text/Pandoc/Translations.o )
> 
> src/Text/Pandoc/Translations.hs:114:28: error:
>     Variable not in scope:
>       prettyPrintParseException :: ParseException -> String
> 
> 
> Upgrading to dev-haskell/yaml-0.8.30 solves the issue. I don't know when
> yaml added prettyPrintParseException but it seems that it was after 0.8.10.1

"Since 0.8.11" says hackage. 
https://hackage.haskell.org/package/yaml-0.8.15.2/docs/Data-Yaml.html#v:prettyPrintParseException
Comment 4 inasprecali 2018-08-11 07:00:08 UTC
Bumping version request.
Comment 5 John Roman 2018-09-25 16:52:09 UTC
+1 bumping version request.  we're going on two years without an update.
Comment 6 inasprecali 2018-10-23 13:16:20 UTC
Bumping version request.
Comment 7 RAPHEAD 2018-12-30 14:14:52 UTC
Bump
Comment 8 inasprecali 2019-01-21 10:13:38 UTC
Bumping once again.
Comment 9 Alon Bar-Lev gentoo-dev 2019-02-08 16:27:49 UTC
Hi,
Portage has the 1.x series, while this package was progress.
If we keep the package, we should follow upstream.
Thanks!
Comment 10 inasprecali 2019-02-20 20:52:45 UTC
Bump.
Comment 11 inasprecali 2019-03-22 18:34:59 UTC
Bump.
Comment 12 Ralph Seichter 2019-04-05 15:34:45 UTC
Upstream released version 2.7.1 three weeks ago; see
https://github.com/jgm/pandoc/releases/tag/2.7.1

Oh, and please count this as a "bump". ;-)
Comment 13 inasprecali 2019-04-23 19:44:40 UTC
Bump.
Comment 14 inasprecali 2019-09-30 08:57:26 UTC
Bump.
Comment 15 Bernardo Meurer 2019-09-30 17:59:15 UTC
This bump is already live in the Haskell overlay, it'd be nice if it was merged into the gentoo tree.